# $Revision: 1.32 $, $Date: 2012/06/02 10:58:41 $
#
# TODO:
#  - fix build flags - some files are compiled with -O3 and without rpm*flags
#  - fix linking argument order
#  - fix nvidia vs. libXrandr >= 1.2 conflict (nvidia drivers still supports
#    only libXrandr 1.1 - with no gamma support; it causes application crash
#    on XRRSetCrtcGamma function called by SDL_SetVideoMode)
#  - add and/or fix users/groups permissions
#  - split to subpackages?
#
# Conditional build:
%bcond_without	goom	# build without goom visualisation
%bcond_with	hal			# build with HAL

Summary:	XBMC is a free and open source media-player and entertainment hub
Name:		xbmc
Version:	11.0
Release:	2
License:	GPL v2+ and GPL v3+
Group:		Applications/Multimedia
Source0:	http://mirrors.xbmc.org/releases/source/%{name}-%{version}.tar.gz
# Source0-md5:	9e8a26ee25173c7268abea7f1d82d428
URL:		http://xbmc.org/
BuildRequires:	Mesa-libGLU-devel
BuildRequires:	OpenGL-devel
BuildRequires:	SDL-devel
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	avahi-devel
BuildRequires:	bluez-libs-devel >= 4.99
BuildRequires:	boost-devel
BuildRequires:	bzip2-devel
BuildRequires:	cmake
BuildRequires:	curl-devel
BuildRequires:	dbus-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	flac-devel
BuildRequires:	fontconfig-devel
BuildRequires:	freetype-devel
BuildRequires:	fribidi-devel
BuildRequires:	gawk
BuildRequires:	gettext-autopoint
BuildRequires:	gettext-devel
BuildRequires:	glew-devel
BuildRequires:	gperf
%if %{with hal}
BuildRequires:	hal-devel
%endif
BuildRequires:	jasper-devel
BuildRequires:	libass-devel
BuildRequires:	libbluray-devel
BuildRequires:	libcdio-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libmad-devel
BuildRequires:	libmicrohttpd-devel
BuildRequires:	libmodplug-devel
BuildRequires:	libmpeg2-devel
BuildRequires:	libogg-devel
BuildRequires:	libplist-devel
BuildRequires:	libpng-devel
BuildRequires:	librtmp-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libsmbclient-devel
BuildRequires:	libssh-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool
BuildRequires:	libva-devel
BuildRequires:	libvdpau-devel
BuildRequires:	libvorbis-devel
BuildRequires:	lzo-devel
BuildRequires:	mysql-devel
%ifarch %{ix86}
BuildRequires:	nasm
%endif
BuildRequires:	openssl-devel
BuildRequires:	pcre-cxx-devel
BuildRequires:	pcre-devel
BuildRequires:	pkgconfig
BuildRequires:	pulseaudio-devel
BuildRequires:	python-devel >= 2.4
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.566
# used internally
BuildRequires:	sed >= 4.0
BuildRequires:	sqlite3-devel
BuildRequires:	udev-devel
BuildRequires:	unzip
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXrandr-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	xorg-lib-libXtst-devel
BuildRequires:	yajl-devel
BuildRequires:	zip
BuildRequires:	zlib-devel
#https://github.com/sahlberg/libnfs
#BuildRequires:	libnfs-devel
#http://sites.google.com/site/alexthepuffin/home
#BuildRequires:	afpfs-ng-devel
#http://mirrors.xbmc.org/build-deps/darwin-libs/libshairport-1.2.0.20310_lib.tar.gz
#https://github.com/albertz/shairport
#BuildRequires: libshairport
#http://www.broadcom.com/support/crystal_hd/
#BuildRequires:	crystalhd-devel
#http://libcec.pulse-eight.com/
#BuildRequires:	libcec-devel >= 1.1.0
Requires:	/usr/bin/glxinfo
Requires:	SDL >= 1.2.14-5
Requires:	lsb-release
Requires:	xorg-app-xdpyinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XBMC media center is a free cross-platform media-player jukebox and
entertainment hub. XBMC can play a spectrum of of multimedia formats,
and featuring playlist, audio visualizations, slideshow, and weather
forecast functions, together third-party plugins.

%prep
%setup -q

%build
./bootstrap
%configure \
	--disable-debug \
	--enable-external-libraries \
	--enable-udev \
	--disable-libcec \
	--disable-libusb \
	--disable-nfs \
	--disable-afpclient \
	--disable-airtunes \
	--disable-crystalhd \
	%{__enable_disable goom} \
	%{__enable_disable hal}

%{__make} V=1

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}
%{_docdir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_iconsdir}/hicolor/256x256/apps/%{name}.png
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_datadir}/xsessions/XBMC.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xbmc.spec,v $
Revision 1.32  2012/06/02 10:58:41  arekm
- release 2

Revision 1.31  2012/05/17 06:53:37  glen
- fill desc/summary

Revision 1.30  2012/03/27 16:58:32  wiget
- merged from DEVEL

Revision 1.29.2.3  2012/03/27 16:56:46  wiget
- up to 11.0

Revision 1.29.2.2  2012/03/12 14:31:07  lmasko
- Hal is obsolete in TH, better make it a bcond, off by default.

Revision 1.29.2.1  2012/03/08 23:58:35  wiget
- up to 11.0-rc2

Revision 1.29  2011/04/02 23:01:31  charles
- rel up

Revision 1.28  2011/03/12 16:21:27  charles
- updated to 10.1
- R: SDL >= 1.2.14-5; drop outdated banner

Revision 1.27  2011/02/24 01:07:50  w.kier
- patch to get goom visualisation usable
  goom icon for visualisations menu
  rel. up

Revision 1.26  2011/02/08 22:12:09  charles
- BR: rpmbuild(macros) >= 1.566 (for %undos macro)

Revision 1.25  2011/02/08 21:44:40  charles
- use %undos macro (instead of enca)
- rel 0.2

Revision 1.24  2011/02/08 21:39:19  charles
- dropped -libpng14.patch (no longer needed)
- added -subtitle_tags.patch

Revision 1.23  2011/02/06 23:18:08  sparky
- unified preamble in %changelog

Revision 1.22  2010/12/31 13:11:42  w.kier
- added bcond for goom visualisation

Revision 1.21  2010/12/30 20:33:01  w.kier
-  wrong Conflicts removed
   warning about SDL and nvidia compatibility added

Revision 1.20  2010/12/28 19:36:05  w.kier
- Conflicts/nvidia - take care on epoch

Revision 1.19  2010/12/28 18:27:33  w.kier
- vocabulary, added nvidia Conflicts (as described in TODO)

Revision 1.18  2010/12/22 20:58:39  w.kier
- BR enca

Revision 1.17  2010/12/22 20:52:31  w.kier
- enca against CRLF

Revision 1.16  2010/12/22 18:46:47  w.kier
- source address updated
  added a few BRs and R

Revision 1.15  2010/12/22 18:44:16  w.kier
- updated to 10.0
  added patch to compile against python 2.7
  executables moved to _libdir/xbmc

Revision 1.14  2010/04/09 21:31:23  charles
- added -libpng14.patch
- added --disable-debug --enable-external-python options

Revision 1.13  2010/01/01 16:19:50  sparky
- nasm not required on x86_&4
- added .desktop and icon

Revision 1.12  2010/01/01 15:50:37  wiget
- started update to final 9.11

Revision 1.11  2009/12/11 22:13:17  wiget
- 9.11 beta2

Revision 1.10  2009/12/09 17:23:52  charles
- BR: nasm

Revision 1.9  2009/12/09 07:24:13  paszczus
- +R: xorg-app-xdpyinfo, lsb-release
- make xbmc.bin and xbmc-xrandr executable

Revision 1.8  2009/12/08 20:24:32  sparky
- new TODO
- BR: rpm-pythonprov

Revision 1.7  2009/12/08 20:21:43  wiget
- make install, but installs to wrong dir

Revision 1.6  2009/12/08 20:11:52  wiget
- don't use bash to run configure

Revision 1.5  2009/12/08 19:19:24  wiget
- removed bashism from configure.in

Revision 1.4  2009/12/08 19:14:16  sparky
- added --enable-external-libraries option
- run %configure in bash, because of idiotic pushd/popd
- BR: sed >= 4.0 (used inside configure)
- more BRs

Revision 1.3  2009/12/08 19:01:50  wiget
- TODO: remove bashism from configure

Revision 1.2  2009/12/08 17:32:50  sparky
- added some missing BRs

Revision 1.1  2009/12/08 16:38:11  paszczus
- NEW, unfinished
